[![DOI](https://zenodo.org/badge/167457116.svg)](https://zenodo.org/badge/latestdoi/167457116)
# Welcome to the EVE Framework

The release of version 1.3 updates EVE to run on a Long-Term Support version of Unity. This allows us to get updates to Unity when things on their side break without it breaking EVE.

We also upgraded the aging MySQL database in the backend to the current state-of-the-art MySQL8.

Lastly, the tutorial below has also been updated and now you will be able to get things started much quicker!

## Tutorials

We will provide you with a series of tutorials to get acquainted with all aspects of EVE. For now, there is only one tutorial showing you the basics.

 * [Tutorial 1: Visiting the Viking Village](https://www.files.ethz.ch/cog/EVE_tutorial.pdf)

## Q&A

We have set up a [Q&A site for EVE](https://eve.qhub.com/) where you can ask questions about anything EVE related. Whether you want to know if a certaine experiment could be run with EVE or you have questions about a particular feature of EVE, we are there to help you. If you would like to suggest a new feature, you can create an [issue on our github repository](https://github.com/cog-ethz/EVE/issues).

## References

If you want to use EVE please use the appropriate references listed below.

### EVE Framework

You can [read the paper on Springer Link](https://link.springer.com/chapter/10.1007/978-3-319-68189-4_10) and cite it as:

Grübel J., Weibel R., Jiang M.H., Hölscher C., Hackman D.A., Schinazi V.R. (2017) EVE: A Framework for Experiments in Virtual Environments. In: Barkowsky T., Burte H., Hölscher C., Schultheis H. (eds) Spatial Cognition X. Spatial Cognition 2016, KogWis 2016. Lecture Notes in Computer Science, vol 10523. Springer, Cham

It can also be found with the doi: [10.1007/978-3-319-68189-4_10](https://doi.org/10.1007/978-3-319-68189-4_10).

### EVE with physiological sensors

Soon you can watch our [video journal contribution on JoVE](https://www.jove.com/video/58318/virtual-reality-experiments-with-physiological-measures) and cite it as:

Weibel, R. P., Grübel, J., Zhao, H., Thrash, T., Meloni, D., Hölscher, C., & Schinazi, V. R. (2018). Virtual Reality Experiments with Physiological Measures. JoVE (Journal of Visualized Experiments), (138), e58318.

### EVE used in research

Below you will find work that has used EVE to produce results. Feel free to read through these publications to see what you can do with EVE:

Hackman, D. A., Robert, S. A., Grübel, J., Weibel, R. P., Anagnostou, E., Hölscher, C., & Schinazi, V. R. (2019). Neighborhood environments influence emotion and physiological reactivity. Scientific reports, 9(1), 9498.


## Contact

The EVE framework is developped, coordinated and maintained by the [Chair of Cognitive Science](http://www.cog.ethz.ch/). You can visit our lab page on the project: [Chair of Cognitive Science EVE Page](http://www.cog.ethz.ch/the-lab/eve).

For technical questions you can contact [Jascha Grübel](http://www.cog.ethz.ch/people/jascha-gruebel-phd-candidate.html).

If your lab is considering using EVE, you can contact either [Jascha Grübel](http://www.cog.ethz.ch/people/jascha-gruebel-phd-candidate.html) or [Victor Schinazi](http://www.cog.ethz.ch/people/dr--victor-schinazi.html)
